Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\SPI\Persistence\UserPreference\Handler Interface Reference

## Public Member Functions
| setUserPreference (UserPreferenceSetStruct $setStruct)
| Store UserPreference ValueObject in persistent storage. More...
| getUserPreferenceByUserIdAndName (int $userId, string $name)
| Get UserPreference by its user ID and name. More...
| loadUserPreferences (int $userId, int $offset, int $limit)
| countUserPreferences (int $userId)

## Detailed Description

Definition at line 11 of file SPI/Persistence/UserPreference/Handler.php.

## Member Function Documentation

## ◆ countUserPreferences()

eZ\Publish\SPI\Persistence\UserPreference\Handler::countUserPreferences | ( | int | $userId | ) |

Parameters

  int | $userId |

Returns
  int

## ◆ getUserPreferenceByUserIdAndName()

eZ\Publish\SPI\Persistence\UserPreference\Handler::getUserPreferenceByUserIdAndName | ( | int | $userId,
|  | string | $name
| ) |  |

Get UserPreference by its user ID and name.

Parameters

  int | $userId |
  string | $name |

Exceptions

## ◆ loadUserPreferences()

eZ\Publish\SPI\Persistence\UserPreference\Handler::loadUserPreferences | ( | int | $userId,
|  | int | $offset,
|  | int | $limit
| ) |  |

Parameters

  int | $userId |
  int | $offset |
  int | $limit |

Returns
  \eZ\Publish\SPI\Persistence\UserPreference\UserPreference[]

## ◆ setUserPreference()

eZ\Publish\SPI\Persistence\UserPreference\Handler::setUserPreference | ( | UserPreferenceSetStruct | $setStruct | ) |

Store UserPreference ValueObject in persistent storage.

Parameters

  \eZ\Publish\SPI\Persistence\UserPreference\UserPreferenceSetStruct | $setStruct |

Returns
  \eZ\Publish\SPI\Persistence\UserPreference\UserPreference

The documentation for this interface was generated from the following file:

- SPI/Persistence/UserPreference/Handler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.